ShapeSegmentBuilder Class

class NXOpen.Formboard.ShapeSegmentBuilder

Bases: NXOpen.Builder

Builder for Face Annotation functionality used in formboard.

It allows importing CGM or Pattern file geometry and placing it on a drawing sheet or model view. As a result of this a group of dumb geometry is placed such that defined origin is located at the lower left hand of the bounding box containing the group of geometry.

To create a new instance of this class, use NXOpen.Formboard.FormboardManager.CreateShapeSegmentBuilder()

New in version NX7.5.0.

Properties

Property Description
Tag Returns the Tag for this object.

Methods

Method Description
AddRadialPivot  
AddSplinePoint Adds a point to the existing spline.
ChangeType  
Commit Commits any edits that have been applied to the builder.
CommitCurrentOperation  
CreateNewRadialBend  
CreateNewSpline  
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetLineData  
GetObject Returns the object currently being edited by this builder.
NewSegment  
RemoveRadialPivot  
RemoveSplinePoint  
SetActiveView Sets the active view for the shape operation.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
SwapAnchorEnd  
UpdateLineAngleVec  
UpdateRadialPivot  
UpdateSplinePoint  
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Method Detail

AddRadialPivot

ShapeSegmentBuilder.AddRadialPivot

Signature AddRadialPivot(pivotLocation, bendMethod, bendValue)

Parameters:
  • pivotLocation (NXOpen.Point3d) –
  • bendMethod (int) –
  • bendValue (float) –

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

AddSplinePoint

ShapeSegmentBuilder.AddSplinePoint

Adds a point to the existing spline.

Signature AddSplinePoint(pointLocation)

Parameters:pointLocation (NXOpen.Point3d) –
Returns:
Return type:int

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

ChangeType

ShapeSegmentBuilder.ChangeType

Signature ChangeType(newType)

Parameters:newType (int) –

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

CommitCurrentOperation

ShapeSegmentBuilder.CommitCurrentOperation

Signature CommitCurrentOperation()

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

CreateNewRadialBend

ShapeSegmentBuilder.CreateNewRadialBend

Signature CreateNewRadialBend(firstPivot, firstBendMethod, firstBendValue, secondPivot, secondBendMethod, secondBendValue)

Parameters:
  • firstPivot (NXOpen.Point3d) –
  • firstBendMethod (int) –
  • firstBendValue (float) –
  • secondPivot (NXOpen.Point3d) –
  • secondBendMethod (int) –
  • secondBendValue (float) –

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

CreateNewSpline

ShapeSegmentBuilder.CreateNewSpline

Signature CreateNewSpline(anchorLocation, firstPoint, secondPoint)

Parameters:

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

GetLineData

ShapeSegmentBuilder.GetLineData

Signature GetLineData()

Returns:a tuple
Return type:A tuple consisting of (anchorSeg, anchorRcp, angle). anchorSeg is a NXOpen.Routing.ISegment. anchorRcp is a NXOpen.Routing.ControlPoint. angle is a float.

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

NewSegment

ShapeSegmentBuilder.NewSegment

Signature NewSegment(newSegment)

Parameters:newSegment (NXOpen.Routing.ISegment) –

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

RemoveRadialPivot

ShapeSegmentBuilder.RemoveRadialPivot

Signature RemoveRadialPivot(pivotIndex)

Parameters:pivotIndex (int) –

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

RemoveSplinePoint

ShapeSegmentBuilder.RemoveSplinePoint

Signature RemoveSplinePoint(pointIndex)

Parameters:pointIndex (int) –

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

SetActiveView

ShapeSegmentBuilder.SetActiveView

Sets the active view for the shape operation.

Signature SetActiveView(view)

Parameters:view (NXOpen.TaggedObject) –

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

SwapAnchorEnd

ShapeSegmentBuilder.SwapAnchorEnd

Signature SwapAnchorEnd()

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

UpdateLineAngleVec

ShapeSegmentBuilder.UpdateLineAngleVec

Signature UpdateLineAngleVec(newDir)

Parameters:newDir (NXOpen.Vector3d) –

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

UpdateRadialPivot

ShapeSegmentBuilder.UpdateRadialPivot

Signature UpdateRadialPivot(pivotIndex, newLocation, newBendMethod, newBendValue)

Parameters:
  • pivotIndex (int) –
  • newLocation (NXOpen.Point3d) –
  • newBendMethod (int) –
  • newBendValue (float) –

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

UpdateSplinePoint

ShapeSegmentBuilder.UpdateSplinePoint

Signature UpdateSplinePoint(pointIndex, pointLocation, inDrag)

Parameters:
  • pointIndex (int) –
  • pointLocation (NXOpen.Point3d) –
  • inDrag (bool) –

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

Validate

ShapeSegmentBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.